#
# spec file for package ingrtool (Version 1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  ingres xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip ingres kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         ingrtool
Copyright:    1994 Gert Reinauer
Group:        Applications/Databases
Provides:     ingrestools 
Requires:     ingres
Autoreqprov:  on
Version:      1.0
Release:      331
Summary:      Tool package for Ingres
Source: ingrestools-1.0.tar.gz
Patch: ingrestools-1.0.dif

%description
This add-on for Ingres gives you a Tcl/Tk Interface to the good old
ingres database.
For installation change to /usr/lib/ingrestools-1.0 and call
"Install".
Documentation can be found under /usr/lib/ingrestools-1.0/doc.
(German and English)

Authors:
--------
    Gert Reinauer

SuSE series: ap

%prep
%setup -n ingrestools-1.0
%patch

%build
make -C sql
make -C form

%install
./Install
mkdir -p %{_defaultdocdir}/ingrtool
cp -av README* LICENSE doc/* %{_defaultdocdir}/ingrtool
cp -av examples %{_defaultdocdir}/ingrtool

%files
%docdir /usr/X11R6/man
%docdir %{_defaultdocdir}/ingrtool
%{_defaultdocdir}/ingrtool
/usr/ingres/bin/ingres_adm
/usr/ingres/bin/ingresadm.tk
/usr/ingres/bin/viform
/usr/ingres/bin/viform.exe
/usr/ingres/bin/viform.tk
/usr/ingres/bin/genform.exe
/usr/ingres/bin/genform.tk
/usr/ingres/bin/sysform
/usr/ingres/bin/ffform
/usr/ingres/bin/upform
/usr/ingres/bin/lkform
/usr/ingres/bin/srform
/usr/ingres/bin/gensql
/usr/ingres/bin/iprsql
/usr/ingres/bin/insql
/usr/ingres/bin/cpsql
/usr/ingres/bin/errsql

%changelog -n ingrtool
* Fri Nov 17 2000 - fehr@suse.de
- set group tag
* Mon May 22 2000 - fehr@suse.de
- move documentation to /usr/share/doc/packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Oct 30 1997 - fehr@suse.de
- prepare package for automatic build
